# SendPhotoData - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.requests.send.media / SendPhotoData

# SendPhotoData

(common) `data class SendPhotoData : DataRequest<ContentMessage<PhotoContent>>, SendMessageRequest<ContentMessage<PhotoContent>>, ReplyingMarkupSendMessageRequest<ContentMessage<PhotoContent>>, TextableSendMessageRequest<ContentMessage<PhotoContent>>` (source)

### Properties

(common)

#### chatId

`val chatId: ChatIdentifier`

(common)

#### disableNotification

`val disableNotification: Boolean`

(common)

#### parseMode

`val parseMode: ParseMode?`

(common)

#### photo

`val photo: String?`

(common)

#### replyMarkup

`val replyMarkup: KeyboardMarkup?`

(common)

#### replyToMessageId

`val replyToMessageId: MessageIdentifier?`

(common)

#### requestSerializer

`val requestSerializer: SerializationStrategy<*>`

(common)

#### resultDeserializer

`val resultDeserializer: DeserializationStrategy<ContentMessage<PhotoContent>>`

(common)

#### text

`val text: String?`

### Functions

(common)

#### method

`fun method(): String`